#version 460 core
layout (location = 0) in vec3 aPos;						// Define input variables that are read from vertex Attribute Pointer					// this input variable is a rgb color vector
layout (location = 1) in vec3 aNormal;
layout (location = 2) in vec2 aTexCoord;


// Matrices for 3D Coordinates Systems
uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
uniform mat4 projectionMatrix;

void main(){
	gl_Position = projectionMatrix * viewMatrix * modelMatrix * vec4(aPos, 1.0f);
};