#version 460 core
layout (location = 0) in vec3 aPos;
out vec3 pos;

// Matrices for 3D Coordinates Systems
uniform mat4 viewMatrix;
uniform mat4 projectionMatrix;

void main()
{
	gl_Position = (projectionMatrix * viewMatrix * vec4(aPos.x, aPos.y, aPos.z, 1.0f)).xyww;	
	pos = aPos;
}; 